/* dline.c by bill buckels 2009           */
/* a graphics demo for the apple II       */
/* written in Manx Aztec C65 Version 3.2b */
/* runs under DOS 3.3                     */
/* Draws Double Hi-Res lines and fonts    */

#include <g3.h>

int dhrbox(x1,y1,x2,y2,drawcolor)
int x1,y1,x2,y2,drawcolor;
{
	int x, y, xmax,ymax;

    ymax = y2+1;
	for (y = y1; y < ymax; y++) {
		dhrplot(x1,y,drawcolor);
	    dhrplot(x2,y,drawcolor);
	}

	xmax=x2+1;
	for (x = x1; x < xmax; x++) {
		dhrplot(x,y1,drawcolor);
	    dhrplot(x,y2,drawcolor);
	}

	return 0;
}



int main()
{

 int c,idx,y2,x2;

 dtlode("DLINE.TITLE");
 scr_clear();
 scr_curs(0,0);

 /* set page 1 double hires */
 dhireson();
 dhrflood(0,0,79,191,0);
 for (idx = 1; idx < 16; idx++) {
	c = (idx * 3);
	x2 = 139-c;
	y2 = 191-c;
	dhrbox(c,c,x2,y2,idx);
 }

 dhrfont("Press any key...",91,70,15,-1,1,'M');
 getch();
 dresoff();
 scr_clear();
 scr_curs(0,0);
 /* if being called from DOS 3.3 BASIC then reboot */
 /* return 0; */
 reboot();

}

